ModelingViewOtherSectionAttrT_Struct Struct

NXOpen.ModelingView.OtherSectionAttrT is an alias for NXOpen.ModelingViewOtherSectionAttrT_Struct

class NXOpen.ModelingViewOtherSectionAttrT_Struct

Bases: object

This defines the attributes data for dynamic sectioning

Deprecated since version NX5.0.0: This funcitonality is replaced by NXOpen.ModelingView.ActiveDynamicSection

Fields

Field Description
Lock If true, all enabled planes are moved as a group
CapType Enable or disable capping
CapColor capping color index from UG’s color table
TotalPlanesActive Either 1/2/6 planes can be active at a time
ActivePlane To select the ‘active’ plane (of the 2 set)

Lock

ModelingViewOtherSectionAttrT_Struct.Lock

If true, all enabled planes are moved as a group -------------------------------------

Getter Method Signature Lock()

Returns:
Return type:bool

-------------------------------------

Setter Method

Signature Lock(value)

Parameters:value (bool) –

CapType

ModelingViewOtherSectionAttrT_Struct.CapType

Enable or disable capping -------------------------------------

Getter Method Signature CapType()

Returns:
Return type:NXOpen.ModelingViewSectionCap

-------------------------------------

Setter Method

Signature CapType(value)

Parameters:value (NXOpen.ModelingViewSectionCap) –

CapColor

ModelingViewOtherSectionAttrT_Struct.CapColor

capping color index from UG’s color table -------------------------------------

Getter Method Signature CapColor()

Returns:
Return type:int

-------------------------------------

Setter Method

Signature CapColor(value)

Parameters:value (int) –

TotalPlanesActive

ModelingViewOtherSectionAttrT_Struct.TotalPlanesActive

Either 1/2/6 planes can be active at a time -------------------------------------

Getter Method Signature TotalPlanesActive()

Returns:
Return type:int

-------------------------------------

Setter Method

Signature TotalPlanesActive(value)

Parameters:value (int) –

ActivePlane

ModelingViewOtherSectionAttrT_Struct.ActivePlane

To select the ‘active’ plane (of the 2 set) -------------------------------------

Getter Method Signature ActivePlane()

Returns:
Return type:NXOpen.ModelingViewSectionPlane

-------------------------------------

Setter Method

Signature ActivePlane(value)

Parameters:value (NXOpen.ModelingViewSectionPlane) –